List locations
curl --request GET \
--url https://spi.sandbox.lerian.net/api/v1/brcode/loc \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://spi.sandbox.lerian.net/api/v1/brcode/loc"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spi.sandbox.lerian.net/api/v1/brcode/loc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://spi.sandbox.lerian.net/api/v1/brcode/loc"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"loc": [
{
"criacao": "<string>",
"id": 123,
"location": "<string>",
"tipoCob": "cob",
"txid": "<string>"
}
],
"parametros": {
"fim": "<string>",
"inicio": "<string>",
"paginacao": {
"itensPorPagina": 123,
"paginaAtual": 123,
"quantidadeDePaginas": 123,
"quantidadeTotalDeItens": 123
}
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}List locations
Lists locations by start date, end date, txIdPresente, and tipoCob. Pix API GET /loc.
GET
/
api
/
v1
/
brcode
/
loc
List locations
curl --request GET \
--url https://spi.sandbox.lerian.net/api/v1/brcode/loc \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://spi.sandbox.lerian.net/api/v1/brcode/loc"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spi.sandbox.lerian.net/api/v1/brcode/loc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://spi.sandbox.lerian.net/api/v1/brcode/loc"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"loc": [
{
"criacao": "<string>",
"id": 123,
"location": "<string>",
"tipoCob": "cob",
"txid": "<string>"
}
],
"parametros": {
"fim": "<string>",
"inicio": "<string>",
"paginacao": {
"itensPorPagina": 123,
"paginaAtual": 123,
"quantidadeDePaginas": 123,
"quantidadeTotalDeItens": 123
}
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Authorizations
JWT bearer token issued by the identity provider.
Query Parameters
Início do filtro de criação (RFC 3339).
Fim do filtro de criação (RFC 3339).
Filtra por locations com (ou sem) txid vinculado (true/false).
Filtra pelo tipo de cobrança.
Available options:
cob, cobv Página a ser retornada (0-based).
Required range:
x >= 0Itens por página (1..1000).
Required range:
1 <= x <= 1000Was this page helpful?

